Bug 189263 - dns/ldns omits .pc file from staging
Summary: dns/ldns omits .pc file from staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-02 20:40 UTC by Josh C
Modified: 2014-05-15 16:10 UTC (History)
0 users

See Also:


Attachments
ldns-pc.patch (809 bytes, patch)
2014-05-02 20:40 UTC, Josh C
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh C 2014-05-02 20:40:01 UTC
	
The dns/ldns upstream source build results in the generation of a libldns.pc
file, used by pkgconf. However, the port build does not install this file,
causing build systems using pkgconf to fail the check.

Fix: The included patch allows the upstream's `packaging` build output to be
installed into the pkgconfig directory where pkgconf expects it. The pkgconf
command from above will then work, allowing library consumers to detect it.
How-To-Repeat: 	
1. Install dns/ldns (1.6.17 as of this report.)
2. Run `pkgconf --exists libldns`
3. It will fail, reporting no such library.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-02 20:40:04 UTC
Maintainer of dns/ldns,

Please note that PR ports/189263 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189263

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-02 20:40:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jaap Akkerhuis 2014-05-08 16:19:49 UTC
Apologies for the delay, but I'm traveling.
    
    If it contains a patch for an upgrade, an enhancement or a bug fix
    you agree on, reply to this email stating that you approve the patch
    and a committer will take care of it.
    
Looks good good to me, approved.

Thanks!


	jaap
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-05-13 05:45:21 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Erwin Lansing freebsd_committer 2014-05-15 15:53:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->erwin

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-05-15 16:08:05 UTC
Author: erwin
Date: Thu May 15 15:08:01 2014
New Revision: 354136
URL: http://svnweb.freebsd.org/changeset/ports/354136
QAT: https://qat.redports.org/buildarchive/r354136/

Log:
  Install libldns.pc
  
  PR:             189263
  Submitted by:   Josh Cepek <josh.cepek@usa.net>
  Approved by:    Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

Modified:
  head/dns/ldns/Makefile
  head/dns/ldns/pkg-plist

Modified: head/dns/ldns/Makefile
==============================================================================
--- head/dns/ldns/Makefile	Thu May 15 14:54:51 2014	(r354135)
+++ head/dns/ldns/Makefile	Thu May 15 15:08:01 2014	(r354136)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ldns
 PORTVERSION=	1.6.17
+PORTREVISION=	1
 CATEGORIES=	dns
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/ldns/ \
 		CRITICAL
@@ -132,6 +133,7 @@ post-install:
 .if ${PORT_OPTIONS:MDRILL}
 	@(cd ${WRKSRC}/drill; ${GMAKE} ${MAKE_ARGS} install)
 .endif
+	${INSTALL_DATA} ${WRKSRC}/packaging/libldns.pc ${STAGEDIR}${PREFIX}/libdata/pkgconfig
 
 .endif # BUILD_PYLDNS || BUILD_P5PERL
 

Modified: head/dns/ldns/pkg-plist
==============================================================================
--- head/dns/ldns/pkg-plist	Thu May 15 14:54:51 2014	(r354135)
+++ head/dns/ldns/pkg-plist	Thu May 15 15:08:01 2014	(r354136)
@@ -532,4 +532,5 @@ lib/libldns.a
 lib/libldns.la
 lib/libldns.so
 lib/libldns.so.1
+libdata/pkgconfig/libldns.pc
 @dirrm include/ldns
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Erwin Lansing freebsd_committer 2014-05-15 16:08:09 UTC
State Changed
From-To: open->closed

Committed, thanks!